"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mysql_schema_introspect_1 = require("@databases/mysql-schema-introspect");
const DefaultTypeScriptMapping = new Map([
    [mysql_schema_introspect_1.DataType.bigint, `(string | number | BigInt)`],
    // [DataType.binary, `unknown`],
    // [DataType.bit, `unknown`],
    // [DataType.blob, `unknown`],
    [mysql_schema_introspect_1.DataType.char, `string`],
    [mysql_schema_introspect_1.DataType.date, `(string | Date)`],
    [mysql_schema_introspect_1.DataType.datetime, `(string | Date)`],
    // [DataType.decimal, `unknown`],
    [mysql_schema_introspect_1.DataType.double, `number`],
    // [DataType.enum, `unknown`],
    [mysql_schema_introspect_1.DataType.float, `number`],
    // [DataType.geomcollection, `unknown`],
    // [DataType.geometry, `unknown`],
    [mysql_schema_introspect_1.DataType.int, `number`],
    // [DataType.json, `unknown`],
    // [DataType.linestring, `unknown`],
    // [DataType.longblob, `unknown`],
    // [DataType.longtext, `unknown`],
    // [DataType.mediumblob, `unknown`],
    [mysql_schema_introspect_1.DataType.mediumint, `number`],
    [mysql_schema_introspect_1.DataType.mediumtext, `string`],
    [mysql_schema_introspect_1.DataType.multilinestring, `string`],
    // [DataType.multipoint, `unknown`],
    // [DataType.multipolygon, `unknown`],
    // [DataType.point, `unknown`],
    // [DataType.polygon, `unknown`],
    // [DataType.set, `unknown`],
    [mysql_schema_introspect_1.DataType.smallint, `number`],
    [mysql_schema_introspect_1.DataType.text, `string`],
    [mysql_schema_introspect_1.DataType.time, `string`],
    [mysql_schema_introspect_1.DataType.timestamp, `(string | Date)`],
    // [DataType.tinyblob, `unknown`],
    [mysql_schema_introspect_1.DataType.tinyint, `(boolean | number)`],
    [mysql_schema_introspect_1.DataType.tinytext, `string`],
    // [DataType.varbinary, `unknown`],
    [mysql_schema_introspect_1.DataType.varchar, `string`],
    [mysql_schema_introspect_1.DataType.year, `number`],
]);
exports.default = DefaultTypeScriptMapping;
//# sourceMappingURL=DefaultTypeScriptMapping.js.map