"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeSchema = exports.printSchema = void 0;
const shared_print_types_1 = require("@databases/shared-print-types");
const MySqlPrintOptions_1 = require("./MySqlPrintOptions");
const printSchema_1 = require("./printers/printSchema");
const GENERATED_STATEMENT = 'Generated by: @databases/pg-schema-print-types';
function printSchema(schema, options = {}) {
    const opts = new MySqlPrintOptions_1.default(options, schema);
    const context = new shared_print_types_1.PrintContext(opts);
    (0, printSchema_1.default)(schema, context, opts);
    return context.getFiles();
}
exports.printSchema = printSchema;
async function writeSchema(schema, directory, options = {}) {
    const opts = new MySqlPrintOptions_1.default(options, schema);
    const context = new shared_print_types_1.PrintContext(opts);
    (0, printSchema_1.default)(schema, context, opts);
    await (0, shared_print_types_1.writeFiles)({
        context,
        directory,
        generatedStatement: GENERATED_STATEMENT,
    });
}
exports.writeSchema = writeSchema;
//# sourceMappingURL=index.js.map