"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mysql_schema_introspect_1 = require("@databases/mysql-schema-introspect");
const DefaultTypeScriptMapping_1 = require("../DefaultTypeScriptMapping");
function getTypeScriptType(type, options) {
    const override = options.typeOverrides[type.kind];
    if (override !== undefined) {
        return override;
    }
    const builtin = DefaultTypeScriptMapping_1.default.get(type.kind);
    if (builtin)
        return builtin;
    if (type.kind === mysql_schema_introspect_1.DataType.enum) {
        return `(${type.values.map((v) => JSON.stringify(v)).join(` | `)})`;
    }
    if (type.kind === mysql_schema_introspect_1.DataType.set) {
        return `(${type.values.map((v) => JSON.stringify(v)).join(` | `)})[]`;
    }
    return `unknown`;
}
exports.default = getTypeScriptType;
//# sourceMappingURL=getTypeScriptType.js.map